%define gnome_python2_version 1.99.13

Name:		gnome-blog
Summary:	GNOME panel object for posting blog entries
Version:	0.9
Release:	1
License:	GPL
Group:		User Interface/Desktops
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	gnome-python2-applet >= %{gnome_python2_version}
Requires:	gnome-python2-gconf  >= %{gnome_python2_version}
Requires:	gnome-python2-gnomevfs >= %{gnome_python2_version}
Requires:	pygtk2 >= %{gnome_python2_version}

Prereq:         GConf2
Prereq:         /usr/bin/gconftool-2

BuildRequires:  pygtk2-devel >= %{gnome_python2_version}
BuildRequires:	gettext

%description
GNOME panel object that allows convenient posting of blog entries to
any blog that supports the bloggerAPI.

%prep
%setup -q

%build

%configure

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1;
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %name

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnomeblog.schemas > /dev/null;

%postun -p /sbin/ldconfig

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/gnomeblog.schemas
%{_datadir}/pixmaps/gnome-blog.png
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/applications/*.desktop
%{_libdir}/bonobo/servers/*.server
%dir %{_libdir}/python*/site-packages/gnomeblog/
%{_libdir}/python*/site-packages/gnomeblog/*.py
%{_libdir}/python*/site-packages/gnomeblog/gnome-blog-poster
%{_libdir}/python*/site-packages/gnomeblog/*.pyc
%ghost %{_libdir}/python*/site-packages/gnomeblog/*.pyo

%changelog
* Sat Apr 03 2004 Brian Pepple <bdpepple@ameritech.net>
- Removed INSTALL doc, since it's the generic file.
- Removed unneeded NEWS file.
- Ghosted *.pyo files.
- Added BuildRequires gettext.

* Sun Dec 21 2003 Rob Love <rml@ximian.com>
- Require gnome-python2-gnomevfs

* Thu Aug 14 2003 William Jon McCann <mccann@jhu.edu>
- Don't install Rhythmbox.h.
